<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#160;">]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="xml" omit-xml-declaration="yes"/>

    <!-- The following match is in the event it is from an index block in the data definition -->
    <xsl:template match="path | name"/>
    <xsl:template match="system-index-block">
        <div role="navigation">
            <xsl:call-template name="show-letters"/>
        </div>
        <div role="main">
            <xsl:call-template name="show-items"/>
        </div>
    </xsl:template>

    <xsl:template match="system-page">
        <xsl:if test="not(name='index')">
            <div class="faculty_brief">
                <a>
                    <xsl:attribute name="name"><xsl:value-of select="name"/></xsl:attribute>
                    <xsl:attribute name="id"><xsl:value-of select="name"/></xsl:attribute>
                    <xsl:attribute name="title"><xsl:value-of select="display-name"/></xsl:attribute>
                </a>
                <span class="name"><xsl:value-of select="display-name"/></span>, <span
                    class="position"><xsl:value-of
                        select="system-data-structure/PositionInfo/PositionTitle"/></span>, <span
                    class="primaryDepartment"><xsl:value-of
                        select="system-data-structure/PositionInfo/OrganizationalUnitPrimary/display-name"
                    /></span>. <span class="education">
                    <xsl:for-each
                        select="system-data-structure/Resume/EducationHistory/SchoolOrInstitution">
                        <xsl:choose>
                            <xsl:when test="DegreeDate &lt; 1901"/>
                            <xsl:when test="DegreeDate=''"/>
                            <xsl:when test="InstitutionName=''"/>
                            <xsl:when test="DegreeName=''"/>
                            <xsl:when test="DegreeName='Other'"/>
                            <xsl:otherwise>
                                <span class="degree">
                                    <xsl:value-of select="DegreeName"/>, <xsl:value-of
                                        select="InstitutionName"/>, <xsl:value-of
                                        select="DegreeDate"/>
                                    <xsl:if test="position()!=last()">; </xsl:if>
                                    <xsl:if test="position()=last()">.</xsl:if>
                                </span>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:for-each>
                </span></div>
        </xsl:if>
    </xsl:template>

    <xsl:template name="show-items">
        <div id="items">

            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">A</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'A')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">B</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'B')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">C</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'C')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">D</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'D')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">E</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'E')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">F</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'F')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">G</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'G')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">H</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'H')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">I</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'I')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">J</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'J')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">K</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'K')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">L</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'L')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">M</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'M')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">N</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'N')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">O</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'O')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">P</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'P')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">Q</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'Q')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">R</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'R')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">S</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'S')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">T</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'T')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">U</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'U')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">V</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'V')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">W</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'W')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">X</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'X')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">Y</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'Y')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-item">
                <xsl:with-param name="letter">Z</xsl:with-param>
                <xsl:with-param name="number">
                    <xsl:value-of
                        select="(count(/system-index-block/system-page[starts-with(name, 'Z')]) div 2) + 2"
                    />
                </xsl:with-param>
            </xsl:call-template>
        </div>
    </xsl:template>
    <xsl:template name="show-item">
        <xsl:param name="letter"/>
        <xsl:param name="number"/>

        <div class="item">
            <a name="{$letter}"/>

            <h3>
                <xsl:value-of select="$letter"/>
            </h3>

            <div class="col1">
                <xsl:for-each select="system-page[starts-with(name, $letter)]">
                    <xsl:sort select="display-name"/>
                    <xsl:if test="position() &lt; $number">
                        <xsl:apply-templates select="."/>
                    </xsl:if>
                    <xsl:if test="position() = $number">
                        <xsl:apply-templates select="."/>
                    </xsl:if>
                </xsl:for-each>
            </div>

            <div class="col2">
                <xsl:for-each select="system-page[starts-with(name, $letter)]">
                    <xsl:sort select="display-name"/>
                    <xsl:if test="position() &gt; $number">
                        <xsl:apply-templates select="."/>
                    </xsl:if>
                </xsl:for-each>
            </div>
        </div>
        <div class="return">
            <a href="#top">Back to Top</a>
            <hr/>
        </div>
    </xsl:template>
    <xsl:template name="show-letters">
        <div id="letters">
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">A</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">B</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">C</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">

                <xsl:with-param name="letter">D</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">E</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">F</xsl:with-param>

            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">G</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">H</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">

                <xsl:with-param name="letter">I</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">J</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">K</xsl:with-param>

            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">L</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">M</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">

                <xsl:with-param name="letter">N</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">O</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">P</xsl:with-param>

            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">Q</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">R</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">

                <xsl:with-param name="letter">S</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">T</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">U</xsl:with-param>

            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">V</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">W</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">

                <xsl:with-param name="letter">X</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">Y</xsl:with-param>
            </xsl:call-template>
            <xsl:call-template name="show-letter">
                <xsl:with-param name="letter">Z</xsl:with-param>

                <xsl:with-param name="no-spacer">true</xsl:with-param>
            </xsl:call-template>
        </div>
        <hr/>
    </xsl:template>
    <xsl:template name="show-letter">
        <xsl:param name="letter"/>
        <xsl:param name="no-spacer">false</xsl:param>

        <a href="#{$letter}">
            <xsl:value-of select="$letter"/>
        </a>
        <xsl:if test="$no-spacer != 'true'">&nbsp; | &nbsp;</xsl:if>
    </xsl:template>
</xsl:stylesheet>
