<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    
    <xsl:template match="/system-index-block">
        <div id="people_listing_table" role="main">
            <div id="toc" role="navigation">
                <h4>On this page</h4>
                <ul>
                    <li>
                        <a href="#deptChairs_humanities">Chairs - Humanities</a>
                    </li>
                    <li>
                        <a href="#deptChairs_social">Chairs - Social Sciences</a>
                    </li>
                    <li>
                        <a href="#deptChairs_natural">Chairs - Natural Sciences and Mathematics</a>
                    </li>
                    <li>
                        <a href="#progDirectors_humanities">Directors - Humanities</a>
                    </li>
                    <li>
                        <a href="#progDirectors_social">Directors - Social Sciences</a>
                    </li>
                    <li>
                        <a href="#progDirectors_natural">Directors - Natural Sciences and
                            Mathematics</a>
                    </li>
                    <li>
                        <a href="#progDirectors_misc">Directors - Miscellaneous</a>
                    </li>
                </ul>
            </div>
            <xsl:apply-templates select="calling-page/system-page/system-data-structure"/>
        </div>
    </xsl:template>
    
    <xsl:template match="calling-page/system-page/system-data-structure">
        <xsl:apply-templates select="block-content"/>
    </xsl:template>
    
    <xsl:template match="block-content">
        
        <xsl:if test="content/system-index-block[@name='block_departments_inlineXML']">
            <a name="deptChairs"></a>
            <h3>Department Chairs</h3>
            
            <a name="deptChairs_humanities"></a>
            <h4>Humanities</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Chairs of College Departments." width="395">
                <tbody>
                    <tr>
                        <th width="65%">Department</th>
                        <th>Chair</th>
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='Humanities') and (dynamic-metadata[name='UnitType']/value='AcademicDepartment')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
            </table>
            
            <a name="deptChairs_social"></a>
            <h4>Social Sciences</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Chairs of College Departments." width="395">
                <tbody>
                    
                    <tr>
                        <th width="65%">Department</th>
                        <th>Chair</th>
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='SocialSciences') and (dynamic-metadata[name='UnitType']/value='AcademicDepartment')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
                
            </table>
            
            <a name="deptChairs_natural"></a>
            <h4>Natural Sciences and Mathematics</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Chairs of College Departments." width="395">
                <tbody>
                    <tr>
                        <th width="65%">Department</th>
                        <th>Chair</th>
                        
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='NaturalSciences') and (dynamic-metadata[name='UnitType']/value='AcademicDepartment')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
            </table>
            
            <a name="progDirectors"></a>
            <h3>Program Directors</h3>
            
            <a name="progDirectors_humanities"></a>
            <h4>Humanities</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Chairs of College Departments." width="395">
                <tbody>
                    <tr>
                        <th width="65%">Program</th>
                        <th>Director</th>
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='Humanities') and (dynamic-metadata[name='UnitType']/value='AcademicProgram')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
            </table>
            
            <a name="progDirectors_social"></a>
            <h4>Social Sciences</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Chairs of College Departments." width="395">
                <tbody>
                    
                    <tr>
                        <th width="65%">Program</th>
                        <th>Director</th>
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='SocialSciences') and (dynamic-metadata[name='UnitType']/value='AcademicProgram')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
                
            </table>
            
            <a name="progDirectors_natural"></a>
            <h4>Natural Sciences and Mathematics</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Chairs of College Departments." width="395">
                <tbody>
                    <tr>
                        <th width="65%">Program</th>
                        <th>Director</th>
                        
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='NaturalSciences') and (dynamic-metadata[name='UnitType']/value='AcademicProgram')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
            </table>
        </xsl:if>
        <xsl:if test="content/system-index-block[@name='block_centers_college']">
            <a name="progDirectors_misc"></a>
            <h4>Miscellaneous</h4>
            <table border="1" cellpadding="5" cellspacing="2" id="peopleDepartment" summary="Directors of College Programs." width="395">
                <tbody>
                    <tr>
                        <th width="65%">Program</th>
                        <th>Director</th>
                        
                    </tr>
                    <xsl:for-each select="content/system-index-block/system-page">
                        <xsl:sort select="display-name"/>
                        <xsl:if test="(dynamic-metadata[name='Discipline']/value='Other') and (dynamic-metadata[name='UnitType']/value='Other')">
                            <xsl:apply-templates select="."/>
                        </xsl:if>
                    </xsl:for-each>
                </tbody>
            </table>
        </xsl:if>
    </xsl:template>
    
    <xsl:template match="content/system-index-block/system-page">
        <xsl:if test="not(name='index') and not(name='languages')">
            <xsl:if test="not(system-data-structure/People/Faculty/Leader/path='/')">
                <tr>
                    <td>
                        <xsl:choose>
                            <xsl:when test="starts-with(system-data-structure/ContactInfo/InternetWebAddress/UnderGraduate,'http')">
                                <a>
                                    <xsl:attribute name="href">
                                        <xsl:value-of select="system-data-structure/ContactInfo/InternetWebAddress/UnderGraduate/node()"/>
                                    </xsl:attribute>
                                    <xsl:attribute name="title">
                                        <xsl:value-of select="display-name"/>
                                    </xsl:attribute>
                                    <xsl:value-of select="display-name"/>
                                </a>
                            </xsl:when>
                            <xsl:otherwise>
                                <xsl:value-of select="display-name"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </td>
                    
                    <td>
                        <a>
                            
                            <xsl:attribute name="href">
                                <xsl:value-of select="system-data-structure/People/Faculty/Leader/path"/>
                            </xsl:attribute>
                            <xsl:attribute name="title">
                                <xsl:value-of select="system-data-structure/People/Faculty/Leader/display-name"/>
                            </xsl:attribute>
                            <xsl:value-of select="system-data-structure/People/Faculty/Leader/display-name"/>
                            
                        </a>
                        
                    </td>
                </tr>
            </xsl:if>
        </xsl:if>
    </xsl:template>
    
    <xsl:template match="page-content"/>
    <xsl:template match="file-content"/>
    <xsl:template match="link-content"/>
    <xsl:template match="content"/>
    
</xsl:stylesheet>